Bug 802161 - Review Request: mingw-w64-tools - Supplementary tools which are part of the mingw-w64 toolchain
Review Request: mingw-w64-tools - Supplementary tools which are part of the m...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kai Tietz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 15:14 EDT by Erik van Pienbroek
Modified: 2015-09-23 21:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: mingw-gdb-7.4-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:58:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktietz: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-03-11 15:14:20 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-w64-tools/mingw-w64-tools.spec
SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-w64-tools-2.0.999-0.2.trunk.20120124.fc16.src.rpm
Description:
Supplementary tools which are part of the mingw-w64 toolchain
It contains gendef, genidl and mingw-w64-widl


These tools are required to get mingw-cairo built using the delay-load feature (which makes freetype/fontconfig an optional runtime dependency of the cairo library instead of a hard dependency)
Comment 1 Kai Tietz 2012-03-14 17:33:36 EDT
[ktietz@nike fd_mingw]$ rpmlint mingw-w64-tools.spec -i
(none): E: no installed packages by name -i
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[ktietz@nike fd_mingw]$ rpmlint  mingw-w64-tools-2.0.999-0.2.trunk.20120124.fc16.src.rpm 
mingw-w64-tools.src: W: spelling-error Summary(en_US) toolchain -> tool chain, tool-chain, touchline
mingw-w64-tools.src: W: spelling-error %description -l en_US toolchain -> tool chain, tool-chain, touchline
mingw-w64-tools.src: W: spelling-error %description -l en_US gendef -> gender, gen def, gen-def
mingw-w64-tools.src: W: spelling-error %description -l en_US genidl -> genial
mingw-w64-tools.src: W: spelling-error %description -l en_US widl -> wild, wide, will
mingw-w64-tools.src: W: file-size-mismatch mingw-w64-src_20120124.tar.bz2 = 104449518, http://sourceforge.net/projects/mingw-w64/files/Toolchain%20sources/Automated%20Builds/mingw-w64-src_20120124.tar.bz2 = 33334
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Not sure here about those spelling-errors.  They look bogus to me, but the archive-file-size difference looks to me a bit more concerning.

Also, wouldn't it be better to prefix gendef/genidl by mingw-w64- prefix (as done for widl), too?
Comment 2 Erik van Pienbroek 2012-03-14 18:59:39 EDT
Thank you for taking this package for review!

The spelling errors which rpmlint mentions can usually be ignored. Most software development terms aren't mentioned in the English dictionary so these kind of warnings are mostly bogus :)

I agree with your proposal about using the mingw-w64- prefix for all tools. In the .spec file no custom renames are done. The binary filenames are all auto-generated by the build system used. I'll try to come up with a patch so it can be properly resolved upstream

I don't know where the file-size mismatch warning comes from. It may be an sourceforge download thingie, but if you want to be sure you can try to generate md5sums of both the tarball which is bundled in the .src.rpm and the tarball which is published on sourceforge and see if they match
Comment 3 Susi Lehtola 2012-03-15 18:59:29 EDT
Kai: please set the Assigned To field when you take a review.
Comment 4 Kai Tietz 2012-03-16 12:50:07 EDT
Ok, so the review for the package

[ktietz@nike x86_64]$ rpmlint mingw-w64-tools-debuginfo-2.0.999-0.2.trunk.20120124.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ktietz@nike x86_64]$ rpmlint mingw-w64-tools-2.0.999-0.2.trunk.20120124.fc15.x86_64.rpm 
mingw-w64-tools.x86_64: W: spelling-error Summary(en_US) toolchain -> tool chain, tool-chain, Chaitin
mingw-w64-tools.x86_64: W: spelling-error %description -l en_US toolchain -> tool chain, tool-chain, Chaitin
mingw-w64-tools.x86_64: W: spelling-error %description -l en_US widl -> wild, wide, will
mingw-w64-tools.x86_64: W: incoherent-version-in-changelog 2.0.999-0.1.trunk.20120124 ['2.0.999-0.2.trunk.20120124.fc15', '2.0.999-0.2.trunk.20120124']
mingw-w64-tools.x86_64: W: no-manual-page-for-binary mingw-w64-widl
mingw-w64-tools.x86_64: W: no-manual-page-for-binary genidl
mingw-w64-tools.x86_64: W: no-manual-page-for-binary gendef
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

[ktietz@nike x86_64]$ rpmlint mingw-w64-tools-debuginfo-2.0.999-0.2.trunk.20120124.fc15.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[ktietz@nike fd_mingw]$ rpmlint mingw-w64-tools.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ktietz@nike fd_mingw]$ 

[ktietz@nike fd_mingw]$ rpmlint mingw-w64-tools
mingw-w64-tools-2.0.999-0.2.trunk.20120124.fc16.src.rpm
mingw-w64-tools.spec
[ktietz@nike fd_mingw]$ rpmlint mingw-w64-tools-2.0.999-0.2.trunk.20120124.fc16.src.rpm 
mingw-w64-tools.src: W: spelling-error Summary(en_US) toolchain -> tool chain, tool-chain, Chaitin
mingw-w64-tools.src: W: spelling-error %description -l en_US toolchain -> tool chain, tool-chain, Chaitin
mingw-w64-tools.src: W: spelling-error %description -l en_US gendef -> gender, gen def, gen-def
mingw-w64-tools.src: W: spelling-error %description -l en_US genidl -> genial
mingw-w64-tools.src: W: spelling-error %description -l en_US widl -> wild, wide, will
mingw-w64-tools.src: W: file-size-mismatch mingw-w64-src_20120124.tar.bz2 = 104449518, http://sourceforge.net/projects/mingw-w64/files/Toolchain%20sources/Automated%20Builds/mingw-w64-src_20120124.tar.bz2 = 33343
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

So I don't see here anything wrong.  I checked for the difference in size-mismatch the .md5 check for both packages and they are identical.  Might be something caused by SF.

The warnings about missing man-pages can be ignored, as those tools don't provide them.

The spelling errors are all bogus AFAICS.

So from my side of view this package is ok.

I agree that the rename of the tools can be done later.
Comment 5 Erik van Pienbroek 2012-03-16 17:42:28 EDT
Thank you for approving the package!

New Package SCM Request
=======================
Package Name: mingw-w64-tools
Short Description: Supplementary tools which are part of the mingw-w64 toolchain
Owners: epienbro kalev ktietz
Branches: f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-03-16 22:28:16 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-03-20 04:58:49 EDT
mingw-gdb-7.4-1.fc17, mingw-gstreamer-plugins-base-0.10.35-4.fc17, mingw-enchant-1.6.0-5.fc17, mingw-hunspell-1.3.2-6.fc17, mingw-libxslt-1.1.26-9.fc17, mingw-gtk2-2.24.10-5.fc17, mingw-pango-1.29.5-4.fc17, mingw-glib-networking-2.31.16-3.fc17, mingw-icu-4.8.1.1-5.fc17, mingw-libidn-1.14-13.fc17, mingw-cairo-1.10.2-12.fc17, mingw-gdk-pixbuf-2.25.2-5.fc17, mingw-atkmm-2.22.6-3.fc17, mingw-gnutls-2.12.14-7.fc17, mingw-libtiff-3.9.5-7.fc17, mingw-w64-tools-2.0.999-0.2.trunk.20120124.fc17, mingw-libsoup-2.37.90-3.fc17, mingw-fontconfig-2.8.0-7.fc17, mingw-jasper-1.900.1-19.fc17, mingw-libgcrypt-1.5.0-1.fc17, mingw-glibmm24-2.31.2-5.fc17, mingw-gstreamer-0.10.35-6.fc17, mingw-atk-2.3.93-2.fc17, mingw-dbus-1.4.16-1.fc17, mingw-libjpeg-turbo-1.1.1-8.fc17, mingw-sqlite-3.7.9-5.fc17, mingw-p11-kit-0.10-4.fc17, mingw-libgpg-error-1.10-1.fc17, mingw-glib2-2.31.20-2.fc17, mingw-libxml2-2.7.8-7.fc17, mingw-libvorbis-1.3.2-5.fc17, mingw-openssl-1.0.0d-6.fc17, mingw-libpng-1.5.7-4.fc17, mingw-readline-5.2-12.fc17, mingw-freetype-2.4.8-5.fc17, mingw-gettext-0.18.1.1-8.fc17, mingw-zlib-1.2.5-10.fc17, mingw-win-iconv-0.0.3-7.fc17, mingw-termcap-1.3.1-13.fc17, mingw-pixman-0.24.4-3.fc17, mingw-libsigc++20-2.2.10-6.fc17, mingw-libffi-3.0.11-0.2.rc2.fc17, mingw-expat-2.0.1-12.fc17, mingw-bzip2-1.0.5-13.fc17, mingw-filesystem-95-8.fc17, mingw-libogg-1.1.4-7.fc17, mingw-gtk3-3.3.16-2.fc17, mingw-boost-1.48.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-4172/mingw-gtk3-3.3.16-2.fc17,mingw-boost-1.48.0-7.fc17,mingw-gdb-7.4-1.fc17,mingw-gstreamer-plugins-base-0.10.35-4.fc17,mingw-enchant-1.6.0-5.fc17,mingw-hunspell-1.3.2-6.fc17,mingw-libxslt-1.1.26-9.fc17,mingw-gtk2-2.24.10-5.fc17,mingw-pango-1.29.5-4.fc17,mingw-glib-networking-2.31.16-3.fc17,mingw-icu-4.8.1.1-5.fc17,mingw-libidn-1.14-13.fc17,mingw-cairo-1.10.2-12.fc17,mingw-gdk-pixbuf-2.25.2-5.fc17,mingw-atkmm-2.22.6-3.fc17,mingw-gnutls-2.12.14-7.fc17,mingw-libtiff-3.9.5-7.fc17,mingw-w64-tools-2.0.999-0.2.trunk.20120124.fc17,mingw-libsoup-2.37.90-3.fc17,mingw-fontconfig-2.8.0-7.fc17,mingw-jasper-1.900.1-19.fc17,mingw-libgcrypt-1.5.0-1.fc17,mingw-glibmm24-2.31.2-5.fc17,mingw-gstreamer-0.10.35-6.fc17,mingw-atk-2.3.93-2.fc17,mingw-dbus-1.4.16-1.fc17,mingw-libjpeg-turbo-1.1.1-8.fc17,mingw-sqlite-3.7.9-5.fc17,mingw-p11-kit-0.10-4.fc17,mingw-libgpg-error-1.10-1.fc17,mingw-glib2-2.31.20-2.fc17,mingw-libxml2-2.7.8-7.fc17,mingw-libvorbis-1.3.2-5.fc17,mingw-openssl-1.0.0d-6.fc17,mingw-libpng-1.5.7-4.fc17,mingw-readline-5.2-12.fc17,mingw-freetype-2.4.8-5.fc17,mingw-gettext-0.18.1.1-8.fc17,mingw-zlib-1.2.5-10.fc17,mingw-win-iconv-0.0.3-7.fc17,mingw-termcap-1.3.1-13.fc17,mingw-pixman-0.24.4-3.fc17,mingw-libsigc++20-2.2.10-6.fc17,mingw-libffi-3.0.11-0.2.rc2.fc17,mingw-expat-2.0.1-12.fc17,mingw-bzip2-1.0.5-13.fc17,mingw-filesystem-95-8.fc17,mingw-libogg-1.1.4-7.fc17
Comment 8 Fedora Update System 2012-03-21 14:58:28 EDT
mingw-gdb-7.4-1.fc17, mingw-gstreamer-plugins-base-0.10.35-4.fc17, mingw-enchant-1.6.0-5.fc17, mingw-hunspell-1.3.2-6.fc17, mingw-libxslt-1.1.26-9.fc17, mingw-gtk2-2.24.10-5.fc17, mingw-pango-1.29.5-4.fc17, mingw-glib-networking-2.31.16-3.fc17, mingw-icu-4.8.1.1-5.fc17, mingw-libidn-1.14-13.fc17, mingw-gdk-pixbuf-2.25.2-5.fc17, mingw-atkmm-2.22.6-3.fc17, mingw-gnutls-2.12.14-7.fc17, mingw-libtiff-3.9.5-7.fc17, mingw-w64-tools-2.0.999-0.2.trunk.20120124.fc17, mingw-libsoup-2.37.90-3.fc17, mingw-fontconfig-2.8.0-7.fc17, mingw-jasper-1.900.1-19.fc17, mingw-libgcrypt-1.5.0-1.fc17, mingw-glibmm24-2.31.2-5.fc17, mingw-gstreamer-0.10.35-6.fc17, mingw-atk-2.3.93-2.fc17, mingw-dbus-1.4.16-1.fc17, mingw-libjpeg-turbo-1.1.1-8.fc17, mingw-sqlite-3.7.9-5.fc17, mingw-p11-kit-0.10-4.fc17, mingw-libgpg-error-1.10-1.fc17, mingw-glib2-2.31.20-2.fc17, mingw-libxml2-2.7.8-7.fc17, mingw-libvorbis-1.3.2-5.fc17, mingw-openssl-1.0.0d-6.fc17, mingw-libpng-1.5.7-4.fc17, mingw-readline-5.2-12.fc17, mingw-freetype-2.4.8-5.fc17, mingw-gettext-0.18.1.1-8.fc17, mingw-zlib-1.2.5-10.fc17, mingw-win-iconv-0.0.3-7.fc17, mingw-termcap-1.3.1-13.fc17, mingw-pixman-0.24.4-3.fc17, mingw-libsigc++20-2.2.10-6.fc17, mingw-libffi-3.0.11-0.2.rc2.fc17, mingw-expat-2.0.1-12.fc17, mingw-bzip2-1.0.5-13.fc17, mingw-filesystem-95-8.fc17, mingw-libogg-1.1.4-7.fc17, mingw-gtk3-3.3.16-2.fc17, mingw-boost-1.48.0-7.fc17, mingw-cairo-1.10.2-13.fc17, mingw-cairomm-1.10.0-6.fc17, mingw-webkitgtk-1.7.5-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.